/**
  ******************************************************************************
  * @file    Project/STM32F10x_StdPeriph_Template/stm32f10x_it.c 
  * @author  MCD Application Team
  * @version V3.4.0
  * @date    10/15/2010
  * @brief   Main Interrupt Service Routines.
  *          This file provides template for all exceptions handler and 
  *          peripherals interrupt service routine.
  ******************************************************************************
  * @copy
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2010 STMicroelectronics</center></h2>
  */ 

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x_it.h"

/** @addtogroup STM32F10x_StdPeriph_Template
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/******************************************************************************/
/*            Cortex-M3 Processor Exceptions Handlers                         */
/******************************************************************************/

/**
  * @brief   This function handles NMI exception.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
}

/**
  * @brief  This function handles Hard Fault exception.
  * @param  None
  * @retval None
  */
void HardFault_Handler(void)
{
  /* Go to infinite loop when Hard Fault exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Memory Manage exception.
  * @param  None
  * @retval None
  */
void MemManage_Handler(void)
{
  /* Go to infinite loop when Memory Manage exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Bus Fault exception.
  * @param  None
  * @retval None
  */
void BusFault_Handler(void)
{
  /* Go to infinite loop when Bus Fault exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Usage Fault exception.
  * @param  None
  * @retval None
  */
void UsageFault_Handler(void)
{
  /* Go to infinite loop when Usage Fault exception occurs */
  while (1)
  {
  }
}
/**
  * @brief  This function handles Debug Monitor exception.
  * @param  None
  * @retval None
  */
void DebugMon_Handler(void)
{
}


/******************************************************************************/
/*                 STM32F10x Peripherals Interrupt Handlers                   */
/******************************************************************************/

#if (IRQ_WWDG_ENABLE==1)
void WWDG_IRQHandler(void)
{
}
#endif

#if (IRQ_PVD_ENABLE==1)
void PVD_IRQHandler(void)
{
}
#endif

#if (IRQ_TAMPER_ENABLE==1)
void TAMPER_IRQHandler(void)
{
}
#endif

#if (IRQ_RTC_ENABLE==1)
void RTC_IRQHandler(void)
{
}
#endif

#if (IRQ_FLASH_ENABLE==1)
void FLASH_IRQHandler(void)
{
}
#endif

#if (IRQ_RCC_ENABLE==1)
void RCC_IRQHandler(void)
{
}
#endif

#if (IRQ_EXTI0_ENABLE==1)
void EXTI0_IRQHandler(void)
{
}
#endif

#if (IRQ_EXTI1_ENABLE==1)
void EXTI1_IRQHandler(void)
{
}
#endif

#if (IRQ_EXTI2_ENABLE==1)
void EXTI2_IRQHandler(void)
{
}
#endif

#if (IRQ_EXTI3_ENABLE==1)
void EXTI3_IRQHandler(void)
{
}
#endif

#if (IRQ_EXTI4_ENABLE==1)
void EXTI4_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA1_Channel1_ENABLE==1)
void DMA1_Channel1_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA1_Channel2_ENABLE==1)
void DMA1_Channel2_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA1_Channel3_ENABLE==1)
void DMA1_Channel3_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA1_Channel4_ENABLE==1)
void DMA1_Channel4_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA1_Channel5_ENABLE==1)
void DMA1_Channel5_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA1_Channel6_ENABLE==1)
void DMA1_Channel6_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA1_Channel7_ENABLE==1)
void DMA1_Channel7_IRQHandler(void)
{
}
#endif

#if (IRQ_ADC1_2_ENABLE==1)
void ADC1_2_IRQHandler(void)
{
}
#endif

#if (IRQ_USB_HP_CAN_TX_ENABLE==1)
void USB_HP_CAN_TX_IRQHandler(void)
{
}
#endif

#if (IRQ_USB_LP_CAN_RX0_ENABLE==1)
void USB_LP_CAN_RX0_IRQHandler(void)
{
}
#endif

#if (IRQ_CAN_RX1_ENABLE==1)
void CAN_RX1_IRQHandler(void)
{
}
#endif

#if (IRQ_CAN_SCE_ENABLE==1)
void CAN_SCE_IRQHandler(void)
{
}
#endif

#if (IRQ_EXTI9_5_ENABLE==1)
void EXTI9_5_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM1_BRK_ENABLE==1)
void TIM1_BRK_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM1_UP_ENABLE==1)
void TIM1_UP_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM1_TRG_COM_ENABLE==1)
void TIM1_TRG_COM_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM1_CC_ENABLE==1)
void TIM1_CC_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM2_ENABLE==1)
void TIM2_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM3_ENABLE==1)
void TIM3_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM4_ENABLE==1)
void TIM4_IRQHandler(void)
{
}
#endif

#if (IRQ_I2C1_EV_ENABLE==1)
void I2C1_EV_IRQHandler(void)
{
}
#endif

#if (IRQ_I2C1_ER_ENABLE==1)
void I2C1_ER_IRQHandler(void)
{
}
#endif

#if (IRQ_I2C2_EV_ENABLE==1)
void I2C2_EV_IRQHandler(void)
{
}
#endif

#if (IRQ_I2C2_ER_ENABLE==1)
void I2C2_ER_IRQHandler(void)
{
}
#endif

#if (IRQ_SPI1_ENABLE==1)
void SPI1_IRQHandler(void)
{
}
#endif

#if (IRQ_SPI2_ENABLE==1)
void SPI2_IRQHandler(void)
{
}
#endif

#if (IRQ_USART1_ENABLE==1)
void USART1_IRQHandler(void)
{
}
#endif

#if (IRQ_USART2_ENABLE==1)
void USART2_IRQHandler(void)
{
}
#endif

#if (IRQ_USART3_ENABLE==1)
void USART3_IRQHandler(void)
{
}
#endif

#if (IRQ_EXTI15_10_ENABLE==1)
void EXTI15_10_IRQHandler(void)
{
}
#endif

#if (IRQ_RTCAlarm_ENABLE==1)
void RTCAlarm_IRQHandler(void)
{
}
#endif

#if (IRQ_USBWakeUp_ENABLE==1)
void USBWakeUp_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM8_BRK_ENABLE==1)
void TIM8_BRK_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM8_UP_ENABLE==1)
void TIM8_UP_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM8_TRG_COM_ENABLE==1)
void TIM8_TRG_COM_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM8_CC_ENABLE==1)
void TIM8_CC_IRQHandler(void)
{
}
#endif

#if (IRQ_ADC3_ENABLE==1)
void ADC3_IRQHandler(void)
{
}
#endif

#if (IRQ_FSMC_ENABLE==1)
void FSMC_IRQHandler(void)
{
}
#endif

#if (IRQ_SDIO_ENABLE==1)
void SDIO_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM5_ENABLE==1)
void TIM5_IRQHandler(void)
{
}
#endif

#if (IRQ_SPI3_ENABLE==1)
void SPI3_IRQHandler(void)
{
}
#endif

#if (IRQ_UART4_ENABLE==1)
void UART4_IRQHandler(void)
{
}
#endif

#if (IRQ_UART5_ENABLE==1)
void UART5_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM6_ENABLE==1)
void TIM6_IRQHandler(void)
{
}
#endif

#if (IRQ_TIM7_ENABLE==1)
void TIM7_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA2_Channel1_ENABLE==1)
void DMA2_Channel1_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA2_Channel2_ENABLE==1)
void DMA2_Channel2_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA2_Channel3_ENABLE==1)
void DMA2_Channel3_IRQHandler(void)
{
}
#endif

#if (IRQ_DMA2_Channel4_5_ENABLE==1)
void DMA2_Channel4_5_IRQHandler(void)
{
}
#endif


/**
  * @}
  */ 


/******************* (C) COPYRIGHT 2010 STMicroelectronics *****END OF FILE****/
